
//The first thing we do is initialize variables. Here we name the variables we want to store data in.

int led1_pin =  4;                // the number of the pin that the LED is attached to. "int" describes a type of number but we're not going to worry about that today
int led1_state = LOW;             // remembers what we want the state of the LED to be
unsigned long  previous_millis = 0;  // will store last time the LED was updated. "unsigned long" is another type of number
unsigned long current_millis;         // will store the current "time"
unsigned long interval1 = 500;        //the interval that the LED will change in milliseconds

//End of initialization


void setup() //The setup. This part of the code runs just once after the teensy resets.
{
  pinMode(led1_pin, OUTPUT); // set the LED pin as output. 

} // end of setup


void loop() // The loop. This part of the code will run over and over again as fast as the Teensy can go.
{
  current_millis = millis(); //call the function "millis()". It returns the time in milliseconds that have ellapsed since the device started.
  // That means for the rest or this loop "current_millis" will be equal to that number of milliseconds

  if (current_millis - previous_millis > interval1) { //has "interval1" amount of time past since we last executed this code?
    //If the current time minus the last time is bigger that the interval then this part of the code is run
    //If not then it dosen't and we do the next thing below it

    previous_millis = current_millis;  //remember waht time it is now

    // if the LED is off turn it on and vice versa:
    if (led1_state == LOW)
      led1_state = HIGH;
    else
      led1_state = LOW;

    digitalWrite(led1_pin, led1_state);   // Ouptut the value "led1_state" to "led1_pin.
    //if "led1_state" is low aka "0" the LED will be off
    //if "led1_state" is high aka "1" the LED will be on
    //it's digital so it can only be on or off, 1 or 0, high or low.

  } // the if statement is now over.


} // Loop is over so it starts again wil no wait.

