int led1_pin =  4;                // the number of the LED1 pin
int led1_state = 0;             // remebers the state of the LED1

int led2_pin =  5;                // the number of the LED2 pin
int led2_state = LOW;             // remebers the state of the LED2

unsigned long  previous_millis1 = 0;  // will store last time LED1 was updated
unsigned long  previous_millis2 = 0;  // will store last time LED2 was updated

unsigned long current_millis;         // will store the current "time"

unsigned long interval1 = 500;                //the interval that LED1 will change
unsigned long interval2 = 25;                //the interval that LED2 will change

int pot1_value; //store the reading from the potentiomeer aka knob

void setup() {
  // set the LED pin as output:
  pinMode(led1_pin, OUTPUT);
  pinMode(led2_pin, OUTPUT);

}

void loop()
{

  pot1_value = analogRead(A0);
  interval1 = pot1_value * 2;

  current_millis = millis(); //call the function millis() to get the time in milliseconds that hve ellapsed since the device started

  if (current_millis - previous_millis1 > interval1) { //has "interval1" amount of time past since we last executed this code?
    previous_millis1 = current_millis;

    // if the LED is off turn it on and vice versa:
    if (led1_state == 0)
      led1_state = 1;
    else
      led1_state = 0;

    analogWrite(led1_pin, led1_state * 50);   // Write the value "led2_state" to "led2_pin.

  }

  if (current_millis - previous_millis2 > interval2) { //has "interval2" amount of time past since we last executed this code?
    previous_millis2 = current_millis;

    led2_state += 4;  //add 4 to the current value of led2_state
    if (led2_state > 255) { // if it's over 255, make it 0
      led2_state = 0;
    }

    analogWrite(led2_pin, led2_state);   // Write the value "led2_state" to "led2_pin.

  }

}

